package com.nantian.cloud.jljc.service.impl;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.entity.TStandardsRegulations;
import com.nantian.cloud.jljc.mapper.TStandardsRegulationsMapper;
import com.nantian.cloud.jljc.service.TStandardsRegulationsService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("TStandardsRegulationsService")
public class TStandardsRegulationsServiceImpl extends ServiceImpl<TStandardsRegulationsMapper, TStandardsRegulations> implements TStandardsRegulationsService {


    public IPage<TStandardsRegulations> selectall(Page page, TStandardsRegulations tStandardsRegulations) {
        return baseMapper.selectall(page,tStandardsRegulations);
    }

    @Override
    public boolean deleteall(TStandardsRegulations tStandardsRegulations) {
        if (baseMapper.deleteall(tStandardsRegulations)>0){
            return true;
        }else {return false;}
    }

    @Override
    public boolean updatefile(TStandardsRegulations tStandardsRegulations) {
        if (baseMapper.updatefile(tStandardsRegulations)>0){
            return  true;
        }else {
            return false;
        }
    }

    @Override
    public boolean updateall(TStandardsRegulations tStandardsRegulations) {
        if (baseMapper.updateall(tStandardsRegulations)>0){
            return  true;
        }else {
            return false;
        }
    }

    @Override
    public int insertall(TStandardsRegulations tStandardsRegulations) {
       return  baseMapper.insertall(tStandardsRegulations);
    }

    public TStandardsRegulations selectFile(TStandardsRegulations tStandardsRegulations){
        return  baseMapper.selectFile(tStandardsRegulations);
    }

    @Override
    public boolean updateByRegulations(TStandardsRegulations tStandardsRegulations) {
        return baseMapper.updateByRegulations(tStandardsRegulations);
    }
}
